Similar Products
curl --request GET \
--url https://api.catalogix.ai/v1/similar \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.catalogix.ai/v1/similar"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.catalogix.ai/v1/similar', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": {
"code": 0,
"message": "SUCCESS",
"request_id": "8c8b2b7e-23d7-4c2a-91b0-2a7c4dfbb312"
},
"data": {
"products": [
{
"product_code": "SKU002",
"score": 0.97
}
],
"numFound": 142
}
}{
"status": {
"code": -1,
"message": "Unauthorized – invalid or missing Bearer token"
}
}{
"detail": "<string>",
"status": "error"
}{
"status": {
"code": -1,
"message": "Internal server error. Please contact support@catalogix.ai"
}
}{
"detail": "<string>",
"status": "error"
}Recommendation APIs
Similar Products
Return a list of products similar to the given product code.
GET
/
similar
Similar Products
Authorizations
Pass the API token as a Bearer token in the Authorization header.
Headers
Optional trace ID
Query Parameters
Store identifier used to resolve store name
Product code of the source product
Pagination offset
Maximum results (max 10)
Required range:
x <= 10⌘I